export var DomainEnvironment;
(function (l4) {
    l4["CloudProduction"] = "\u4E91\u4E0A\u751F\u4EA7";
    l4["CloudTest"] = "\u4E91\u4E0A\u6D4B\u8BD5";
    l4["OnPremisesProduction"] = "\u884C\u5185\u751F\u4EA7";
    l4["OnPremisesV6Production"] = "\u884C\u5185V6\u751F\u4EA7";
    l4["OnPremisesTesting"] = "\u884C\u5185 H \u56DE\u5F52\u6D4B\u8BD5";
    l4["OnPremisesV6Testing"] = "\u884C\u5185V6 H \u56DE\u5F52\u6D4B\u8BD5";
    l4["OnPremisesSIT"] = "\u884C\u5185 L SIT";
    l4["OnPremisesV6SIT"] = "\u884C\u5185V6 L SIT";
})(DomainEnvironment || (DomainEnvironment = {}));
(function (g4) {
    function h4(k4) {
        switch (k4) {
            case g4.CloudTest: return "https://wa.test.tctpwebank.com";
            case g4.OnPremisesProduction: return "https://trace.tctpwebank.com";
            case g4.OnPremisesV6Production: return "https://tracev6.tctpwebank.com";
            case g4.OnPremisesTesting: return "https://trace.test.tctpwebank.com/h";
            case g4.OnPremisesV6Testing: return "https://tracev6.test.tctpwebank.com/h";
            case g4.OnPremisesSIT: return "https://trace.test.tctpwebank.com/l";
            case g4.OnPremisesV6SIT: return "https://tracev6.test.tctpwebank.com/l";
            case g4.CloudProduction:
            default: return "https://wa.tctpwebank.com";
        }
    }
    g4.mainURL = h4;
    function i4(j4) {
        switch (j4) {
            case g4.CloudTest: return "https://wa.test.tctpxwebank.com";
            case g4.OnPremisesProduction: return "https://trace.tctpxwebank.com";
            case g4.OnPremisesV6Production: return "https://tracev6.tctpxwebank.com";
            case g4.OnPremisesTesting: return "https://trace.test.tctpxwebank.com/h";
            case g4.OnPremisesV6Testing: return "https://tracev6.test.tctpxwebank.com/h";
            case g4.OnPremisesSIT: return "https://trace.test.tctpxwebank.com/l";
            case g4.OnPremisesV6SIT: return "https://tracev6.test.tctpxwebank.com/l";
            case g4.CloudProduction:
            default: return "https://wa.tctpxwebank.com";
        }
    }
    g4.backupURL = i4;
})(DomainEnvironment || (DomainEnvironment = {}));
